Skip to main content

CreateToken

POST 

/v1/mor/token/create

Create a payment token

Request

Body

required

    user

    object

    User represents the user information

    id string

    non-empty

    User ID information, required

    email string

    User email information

    region_code string

    User region_code

    authenticated boolean

    whether the user is authenticated

    settings

    object

    Settings represents payment settings

    project_id string

    non-empty

    Project ID, required

    external_id string

    non-empty

    External transaction ID in game system

    language string

    Interface language eg. fr-FR

    currency string

    Payment currency, three-letter currency code (ISO 4217)

    region_code string

    Payment region_code, two-letter region_code (ISO 3166-1 alpha-2)

    webhook_url string

    Value must match regular expression ^https://[^\s/$.?#].[^\s]*$

    purchase

    object

    Purchase represents the purchase information

    checkout

    object

    currency string

    >= 3 characters

    Currency code, three-letter currency code (ISO 4217), required field

    amount string

    Value must match regular expression ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$

    Payment amount, required field

    description

    object

    items

    object[]

    List of items in the purchase

  • Array [

  • sku string

    non-empty

    item unique ID, required field

    name string

    Item name

    quantity int32

    Quantity of items

    price

    object

    amount string

    Current item price

    vat_included boolean

    VAT included

    logo_url string

    logo url

  • ]

  • custom_parameters

    object

    Additional custom parameters

    property name* string

Responses

OK

Response

    token string

    Payment token

    redirect_url string

    Url to redirect user to payment

Loading...